<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('meetings', function (Blueprint $table) {
            $table->integer('price')->nullable()->after('address');
            $table->unsignedBigInteger('transaction_type_id')->nullable()->after('price');
            $table->foreign('transaction_type_id')->references('id')->on('transaction_types')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('meetings', function (Blueprint $table) {
            $table->dropForeign(['transaction_type_id']);
            $table->dropColumn(['price', 'transaction_type_id']);
        });
    }
};
